UROGUE(6)

NAME
urogue - UltraRogue - Exploring the dungeons of doom.

SYNTAX
urogue [ save-file ] [ -k ] [ -s ] [ -n ] [ -v ] [ -r ]

DESCRIPTION

UltraRogue is a advanced version of one of the more standard rogue games. It is much more difficult and interesting to play than the original version on which it is based (Advanced Rogue 2.0). Some of it's unique features include 10 player character classes, several hundred monsters, charmable monsters, etc.

To win the game you must locate 8 artifacts which start appearing from level 25 down. You must then bring all artifacts back up out of the dungeon. These artifacts also may be applied to use some of their great powers! Be warned, though, sometimes these powers back-fire on you.

ENVIRONMENT
The environment variable $UROGUE (the person installing UltraRogue may have changed this for your site) is checked to set certain default options for UltraRogue. The following may be set in the $UROGUE:

terse (boolean)
    Short output messages.

flush (boolean)
    Flush typeahead when fighting.

jump (boolean)
    Show position only at the end of running.

inven (string)
    Inventory style.

askme (boolean)
    Ask about unidentified things.

stopdoor (boolean)
    Stop running when next to something interesting.

name (string)
    The rogue's name.

fruit (string)
    The funny fruit used by the rogue.

file (string)
    Default savefile name.

score (string)
    Default scorefile name.

class (string)
    Default player class.

Something like

setenv UROGUE "name=VAX Killer,fruit=Peach,noterse,jump"

does the obvious. The ``score'' option is ignored unless you start urogue in wizard mode. The class option string can have the following values: ``fighter'', ``illus'', ``paladin'', ``ranger'', ``cleric'', ``magic'', ``assasin'', ``druid'', ``ninja'', and ``thief'' and is initialized only at startup time. The ``inven'' option can take the values ``slow'', ``clear'', and ``overwrite''.

You may change most of these values while playing with the ``o'' command.

OPTIONS

If a save_file is specified, urogue will be restored from the specified saved game file. If the save file is named ``-r'', the default saved game file of ~/rogue.save is restored. The other options are:

-k  Place the terminal's kaypad into auxilary or applications mode. Once this is done, the keypad may be used for movement instead of the normal letter movement keys. The directions are ``1'' move left and down, ``2'' move down, ``3'' move right and down, ``6'' move right, ``9'' move right and up, ``8'' move up, ``7'' move up, and ``4'' move left. If the user hits the <RUN> key (key ``5'') and then a direction, then the rogue will run in the specified direction. When the game ends the keypad is restored to normal numeric mode if -k was specified. The user may also place the keypad into auxilary or applications mode manually and then may use the keypad without specifing the -k option.

-s  Display the list of scores.

-n  Display the urogue news file. This is a file containing information on currently known bugs, changes, fixes, and enhancements to look for from the last version.

-v  Display the urogue version information.

COMMANDS
The following is a list of commands for UltraRogue. You may see a similiar list during a UltraRogue game by using the ``?'' command. A <direction> is one of ``h'', ``j'', ``k'', ``l'', ``y'', ``u'', ``b'', or ``n''.

?   Print out a list of commands.

/   Identify objects.

h   Move left.

j   Move down.

k   Move up.

l   Move right.

y   Move up and left.

u   Move up and right.

b   Move down and left.

n   Move down and right.

<SHIFT><direction>
    Run in <direction>.

m<direction>
    Move in <direction> without picking anything up.

t<direction>
    Throw something in <direction>.

z<direction>
    Zap a wand or staff in <direction>.

>   Go down a staircase.

<   Go up a staircase. You must possess at least one Artifact to go up a staircase.

s   Search for a trap/secrect door.

.   Rest (do nothing) for one turn.

i   General inventory.

I   Inventory a single item.

q   Quaff a potion.

r   Read paper.

e   Eat one ration of food.

w   Wield a weapon.

W   Wear armor.

T   Take armor off.

P   Put on a ring.

R   Remove a ring.

A   Apply an Artifact.

d   Drop an object.

c   Call object (generic).

M   Mark object (specific).

o   Examine/set options.

C   Cast a spell/say a prayer.

p   Pray to a deity.

a   Affect the undead.

^   Set a trap.

D   Dip something in a pool.

^T  Take (steal) from <direction>.

^R  Redraw screen.

^P  Print last message. May go up to the last 10 messages.

<ESCAPE>
    Cancel current command.

v   Print UltraRogue version information.

!   Create a shell. Uses $SHELL if present in your environment.

S   Save the current game.

Q   Quit the current game.

=   Listen for monsters.

f<direction>
    Fight monster in <direction>.

F<direction>
    Fight monster to death in <direction>.

#   Buy the object the rogue is standing on. Used when in Friendly Fiend's Flea Market.

$   Price the object the rogue is standing on. Used when in Friendly Fiend's Flea Market.

%   Sell an object from the rogue's pack. Used when in Friendly Fiend's Flea Market.

FILES
/usr/games/lib/urogue/scorefile    - Score file
/usr/games/lib/urogue/motd    - Message of the day
/usr/games/lib/urogue/news    - News file
~/rogue.save    - Default save file

SEE ALSO
rogue(6),
A Guide to the Dungeons of Doom.

COPYRIGHT
UltraRogue: The Ultimate Adventure in the Dungeons of Doom
Copyright (C) 1985, 1986, 1992, 1993, 1995 Herb Chong
All rights reserved.